Apache Tomcat 7.0.42

## org.apache.el.lang
Class ExpressionBuilder

    java.lang.Object
      org.apache.el.lang.ExpressionBuilder

All Implemented Interfaces:
  NodeVisitor

    public final class ExpressionBuilder

extends Object
implements NodeVisitor

Version:
  $Id: ExpressionBuilder.java 1141104 2011-06-29 13:56:28Z markt $
Author:
  Jacob Hookom [jacob@hookom.net]

Constructor Summary
`ExpressionBuilder(String expression, ELContext ctx)`

Method Summary
`MethodExpression` `createMethodExpression(Class<?> expectedReturnType, Class<?>[] expectedParamTypes)`
`static Node` `createNode(String expr)`
`ValueExpression` `createValueExpression(Class<?> expectedType)`
`void` `visit(Node node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExpressionBuilder

    public ExpressionBuilder(String expression,
                             ELContext ctx)
                      throws ELException

Throws:
  `ELException`

Method Detail

### createNode

    public static final Node createNode(String expr)
                                 throws ELException

  Throws:
    `ELException`

### visit

    public void visit(Node node)
               throws ELException

  Specified by:
    `visit` in interface `NodeVisitor`
  Throws:
    `ELException`

### createValueExpression

    public ValueExpression createValueExpression(Class<?> expectedType)
                                          throws ELException

  Throws:
    `ELException`

### createMethodExpression

    public MethodExpression createMethodExpression(Class<?> expectedReturnType,
                                                   Class<?>[] expectedParamTypes)
                                            throws ELException

  Throws:
    `ELException`

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.